Bug 1260787 - Review Request: xfce4-hardware-monitor-plugin - Xfce4 panel plugin to display various system stats
Review Request: xfce4-hardware-monitor-plugin - Xfce4 panel plugin to displa...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: William Moreno
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 14:39 EDT by Kevin Fenzi
Modified: 2015-11-05 18:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:28:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Kevin Fenzi 2015-09-07 14:39:55 EDT
Spec URL: https://www.scrye.com/~kevin/fedora/review/xfce4-hardware-monitor-plugin/xfce4-hardware-monitor-plugin.spec
SRPM URL: https://www.scrye.com/~kevin/fedora/review/xfce4-hardware-monitor-plugin/xfce4-hardware-monitor-plugin-1.4.7-1.fc24.src.rpm
Description: 
A Xfce4 panel plugin that can display various system stats
(CPU, filesystem and network usage among others) in graphs,ยท
visualisations or with text

Fedora Account System Username: kevin

rpmlint says: 

xfce4-hardware-monitor-plugin.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
xfce4-hardware-monitor-plugin.src: W: spelling-error %description -l en_US visualisations -> visualizations, visualization, sensationalist
xfce4-hardware-monitor-plugin.src: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'

This is an upstream config issue, nothing to do with this package. 

xfce4-hardware-monitor-plugin.src: W: invalid-url Source0: https://git.xfce.org/panel-plugins/xfce4-hardware-monitor-plugin/snapshot/xfce4-hardware-monitor-plugin-1.4.7.tar.bz2 <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:600)>
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US visualisations -> visualizations, visualization, sensationalist
xfce4-hardware-monitor-plugin.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package xfce4-hardware-monitor-plugin.
xfce4-hardware-monitor-plugin-debuginfo.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/helpers.cpp
...and a bunch more of those...
I've filed upstream: https://bugzilla.xfce.org/show_bug.cgi?id=12195
3 packages and 0 specfiles checked; 31 errors, 8 warnings.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10988217
Comment 1 Upstream Release Monitoring 2015-09-24 11:04:54 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 2 William Moreno 2015-10-06 15:32:08 EDT
Package Review
==============

Issues:
=======
1- Package does not contain any libtool archives (.la)
   Note: xfce4-hardware-monitor-plugin :
   /usr/lib64/xfce4/panel/plugins/libhardwaremonitor.la
   See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

2- Package installs a %{name}.desktop using desktop-file-install or desktop-
   file-validate if there is such a file.

3- [!]: Sources can be downloaded from URI in Source: tag
   [ ]: SourceX tarball generation or download is documented.
   Source0 is not available, you can document how to build the
   tarball from git sources in the spec.

4- [ ]: Development (unversioned) .so files in -devel subpackage, if present.
   Unversioned so-files
--------------------
/usr/lib64/xfce4/panel/plugins/libhardwaremonitor.so

5- There is many licences in source, update the License tag to BSD and LGPL and GPLv3+

6- There are orphan directories
Note: No known owner 
Note: Directories without known owners
/usr/share/xfce4-hardware-monitor-plugin/glade 
/usr/share/xfce4-hardware-monitor-plugin
[ ]: Package must own all directories that it creates.
[ ]: Package requires other packages for directories it uses.

7- There are a lot of erros with the debuginfo package :(
incorrect-fsf-address

Test Builds:
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11352606 
ARM:  http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3220064
PPC:  http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2786215
S390: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1953907

===== MUST items =====
C/C++:
[PASS]: Package does not contain kernel modules.
[PASS]: Package contains no static executables.
[PASS]: Rpath absent or only used for internal libs.
Generic:
[PASS]: Package is licensed with an open-source compatible license and meets
        other legal requirements as defined in the legal section of Packaging
        Guidelines.
[PASS]: %build honors applicable compiler flags or justifies otherwise.
[PASS]: Package contains no bundled libraries without FPC exception.
[PASS]: Changelog in prescribed format.
[PASS]: Sources contain only permissible code or content.
[PASS]: Development files must be in a -devel package
[PASS]: Package uses nothing in %doc for runtime.
[PASS]: The spec file handles locales properly.
[PASS]: Package consistently uses macros (instead of hard-coded directory
        names).
[PASS]: Package is named according to the Package Naming Guidelines.
[PASS]: Package does not generate any conflict.
[PASS]: Package obeys FHS, except libexecdir and /usr/target.
[NA]:   If the package is a rename of another package, proper Obsoletes and
        Provides are present.
[PASS]: Requires correct, justified where necessary.
[PASS]: Spec file is legible and written in American English.
[PASS]: Package contains systemd file(s) if in need.
[PASS]: Useful -debuginfo package or justification otherwise.
[PASS]: Package is not known to require an ExcludeArch tag.
[PASS]: Large documentation must go in a -doc subpackage. Large could be size
         (~1MB) or number of files.
         Note: Documentation size is 40960 bytes in 4 files.
[PASS]: Package successfully compiles and builds into binary rpms on at least
        one supported primary architecture.
[PASS]: Package installs properly.
[PASS]: Rpmlint is run on all rpms the build produces.
[PASS]: If (and only if) the source package includes the text of the
        license(s) in its own file, then that file, containing the text of the
        license(s) for the package is included in %license.
[PASS]: Package does not own files or directories owned by other packages.
[PASS]: All build dependencies are listed in BuildRequires, except for any
        that are listed in the exceptions section of Packaging Guidelines.
[PASS]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[PASS]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
        beginning of %install.
[PASS]: Macros in Summary, %description expandable at SRPM build time.
[PASS]: Package contains desktop file if it is a GUI application.
[PASS]: Dist tag is present.
[PASS]: Package does not contain duplicates in %files.
[PASS]: Permissions on files are set properly.
[PASS]: Package use %makeinstall only when make install DESTDIR=... doesn't
        work.
[PASS]: Package is named using only allowed ASCII characters.
[PASS]: Package does not use a name that already exists.
[PASS]: Package is not relocatable.
[PASS]: Sources used to build the package match the upstream source, as
        provided in the spec URL.
[PASS]: Spec file name must match the spec package %{name}, in the format
        %{name}.spec.
[PASS]: File names are valid UTF-8.
[PASS]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[PASS]: If the source package does not include license text(s) as a separate
        file from upstream, the packager SHOULD query upstream to include it.
[PASS]: Final provides and requires are sane (see attachments).
[PASS]: Package functions as described.
[PASS]: Latest version is packaged.
[PASS]: Package does not include license text files separate from upstream.
[PASS]: Description and summary sections in the package spec file contains
        translations for supported Non-English languages, if available.
[PASS]: Package should compile and build into binary rpms on all supported
        architectures.
[NA]:   %check is present and all tests pass.
[PASS]: Packages should try to preserve timestamps of original installed
        files.
[PASS]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[PASS]: Reviewer should test that the package builds in mock.
[PASS]: Buildroot is not present
[PASS]: Package has no %clean section with rm -rf %{buildroot} (or
        $RPM_BUILD_ROOT)
[PASS]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[PASS]: Uses parallel make %{?_smp_mflags} macro.
[PASS]: SourceX is a working URL.
[PASS]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[PASS]: Rpmlint is run on debuginfo package(s).
[PASS]: Rpmlint is run on all installed packages.
[PASS]: Large data in /usr/share should live in a noarch subpackage if package
        is arched.
[PASS]: Package should not use obsolete m4 macros
[PASS]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xfce4-hardware-monitor-plugin-1.4.7-1.fc21.x86_64.rpm
          xfce4-hardware-monitor-plugin-1.4.7-1.fc21.src.rpm
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US visualisations -> visualizations, visualization, sensationalist
xfce4-hardware-monitor-plugin.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'
xfce4-hardware-monitor-plugin.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
xfce4-hardware-monitor-plugin.src: W: spelling-error %description -l en_US visualisations -> visualizations, visualization, sensationalist
xfce4-hardware-monitor-plugin.src: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'
xfce4-hardware-monitor-plugin.src: W: invalid-url Source0: https://git.xfce.org/panel-plugins/xfce4-hardware-monitor-plugin/snapshot/xfce4-hardware-monitor-plugin-1.4.7.tar.bz2 <urlopen error [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:590)>
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Rpmlint (debuginfo)
-------------------
Checking: xfce4-hardware-monitor-plugin-debuginfo-1.4.7-1.fc21.x86_64.rpm
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package xfce4-hardware-monitor-plugin.
xfce4-hardware-monitor-plugin-debuginfo.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin hostname 'goodies.xfce.org' doesn't match either of 'wiki.xfce.org', 'xfce.org'
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/text-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/flame-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/pixbuf-drawing.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/helpers.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/value-history.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/bar-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/curve-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor-impls.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/flame-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/choose-monitor-window.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/text-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/gui-helpers.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/column-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/preferences-window.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/bar-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor-impls.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/column-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/applet.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/choose-monitor-window.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/canvas-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/preferences-window.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/applet.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/register_plugin.c
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/helpers.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/value-history.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/canvas-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/curve-view.hpp
1 packages and 0 specfiles checked; 31 errors, 1 warnings.

Rpmlint (installed packages)
----------------------------
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
xfce4-hardware-monitor-plugin.x86_64: W: spelling-error %description -l en_US visualisations -> visualizations, visualization, sensationalist
xfce4-hardware-monitor-plugin.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin HTTP Error 404: Not Found
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: description-line-too-long C This package provides debug information for package xfce4-hardware-monitor-plugin.
xfce4-hardware-monitor-plugin-debuginfo.x86_64: W: invalid-url URL: https://goodies.xfce.org/projects/panel-plugins/xfce4-hardware-monitor-plugin HTTP Error 404: Not Found
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/text-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/flame-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/pixbuf-drawing.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/helpers.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/value-history.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/bar-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/curve-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor-impls.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/flame-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/choose-monitor-window.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/text-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/gui-helpers.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/column-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/preferences-window.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/bar-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor-impls.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/column-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/applet.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/choose-monitor-window.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/canvas-view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/preferences-window.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/applet.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/register_plugin.c
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/view.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/monitor.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/helpers.cpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/value-history.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/canvas-view.hpp
xfce4-hardware-monitor-plugin-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xfce4-hardware-monitor-plugin-1.4.7/src/curve-view.hpp
2 packages and 0 specfiles checked; 31 errors, 4 warnings.

Requires
--------
xfce4-hardware-monitor-plugin (rpmlib, GLIBC filtered):
    libart_lgpl_2.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libatkmm-1.6.so.1()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libcairomm-1.0.so.1()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgdkmm-2.4.so.1()(64bit)
    libgio-2.0.so.0()(64bit)
    libgiomm-2.4.so.1()(64bit)
    libglade-2.0.so.0()(64bit)
    libglademm-2.4.so.1()(64bit)
    libglib-2.0.so.0()(64bit)
    libglibmm-2.4.so.1()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgnomecanvas-2.so.0()(64bit)
    libgnomecanvasmm-2.6.so.1()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtkmm-2.4.so.1()(64bit)
    libgtop-2.0.so.10()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpangomm-1.4.so.1()(64bit)
    libsensors.so.4()(64bit)
    libsigc-2.0.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxfce4panel-1.0.so.4()(64bit)
    libxfce4ui-1.so.0()(64bit)
    libxfce4util.so.6()(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)

Provides
--------
xfce4-hardware-monitor-plugin:
    libhardwaremonitor.so()(64bit)
    libtool(/usr/lib64/xfce4/panel/plugins/libhardwaremonitor.la)
    xfce4-hardware-monitor-plugin
    xfce4-hardware-monitor-plugin(x86-64)
Comment 3 Kevin Fenzi 2015-10-10 18:08:29 EDT
Thanks for reviewing... 

1. fixed. 

2. This doesn't apply here. :) This is not a freedesktop application desktop file, it's a xfce panel plugin desktop file. 

3. Sadly it seems something is messed up with the https version of the Source0 url. The http version works fine, so I switched to that for now. 

4. Yeah, upstream says:
"NOTE that I don't have any testers currently, just myself with a few VMs
- so consider the plugin to remain experimental until that changes."

5. Changed to "GPL+ and LGPLv2.1+" The only thing I see here thats BSD is some of the autotools, and that doesn't affect the license of the binary package. Where did you see GPLv3+?

6. fixed. 

7. yeah, I filed: https://bugzilla.xfce.org/show_bug.cgi?id=12195 on the incorrect fsf address. 

Spec URL: https://www.scrye.com/~kevin/fedora/review/xfce4-hardware-monitor-plugin/xfce4-hardware-monitor-plugin.spec
SRPM URL: https://www.scrye.com/~kevin/fedora/review/xfce4-hardware-monitor-plugin/xfce4-hardware-monitor-plugin-1.4.7-2.fc24.src.rpm
Comment 4 Upstream Release Monitoring 2015-10-12 16:48:35 EDT
williamjmorenor's scratch build of xfce4-hardware-monitor-plugin-1.4.7-2.fc24.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11418809
Comment 5 Upstream Release Monitoring 2015-10-12 16:57:37 EDT
williamjmorenor's scratch build of xfce4-hardware-monitor-plugin-1.4.7-2.fc24.src.rpm for f23 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=11418884
Comment 6 Raphael Groner 2015-10-17 07:02:05 EDT
/usr/include/c++/5.1.1/bits/c++0x_warning.h:32:2: error: #error This file requires compiler and library support for the ISO C++ 2011 standard. This support is currently experimental, and must be enabled with the -std=c++11 or -std=gnu++11 compiler options.

And please set status to ASSIGNED as you're in the official review process.
Comment 7 Upstream Release Monitoring 2015-10-17 12:58:34 EDT
kevin's scratch build of xfce4-hardware-monitor-plugin-1.4.7-3.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11491493
Comment 9 William Moreno 2015-10-20 19:30:23 EDT
Package Aproved
===============
Comment 10 Kevin Fenzi 2015-10-20 20:04:05 EDT
Thanks!
Comment 11 Fedora Update System 2015-10-26 09:29:34 EDT
xfce4-hardware-monitor-plugin-1.4.7-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fcc773010
Comment 12 Fedora Update System 2015-10-26 09:30:00 EDT
xfce4-hardware-monitor-plugin-1.4.7-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4daf9e3c43
Comment 13 Fedora Update System 2015-10-26 22:18:11 EDT
xfce4-hardware-monitor-plugin-1.4.7-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update xfce4-hardware-monitor-plugin'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7fcc773010
Comment 14 Fedora Update System 2015-10-28 16:25:34 EDT
xfce4-hardware-monitor-plugin-1.4.7-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update xfce4-hardware-monitor-plugin'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4daf9e3c43
Comment 15 Fedora Update System 2015-10-31 22:28:26 EDT
xfce4-hardware-monitor-plugin-1.4.7-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-05 18:24:04 EST
xfce4-hardware-monitor-plugin-1.4.7-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.